Firefox で Java Plugin がブロックされてる人向けの話

Minecraft.net でプレーするときに Java がブロックされてしまう事があるようだったので色々調べてみた。どうやら Java のバージョンの関係がありそう。最近も Java のセキュリティ上の問題などがニュースサイトに出ていましたが、新しいバージョンが出ているのでアップデートするといいかもしれません。特にブラウザに Firefox を使っている場合は古い java プラグインはブロックされ firefox 上で Minecraft を動かす時も java がブロックされているのでエラーを出してしまって動きません。理由が良く分からないけどブラウザ上だとエラーがでて Minecraft が動かせない人は Java のアップデートをすると動くかもしれません。ブロックされている場合は、下のような表示で mozilla から注意がされており、どんな問題でどれにどこでアップデートできるかなどが書かれています。

Firefox のブロック表示例

Java Plugin はブロックされました。

ブロックされたのは何故ですか?
The Java 7 Runtime Environment, update versions 6 and below, has a serious security vulnerability that is fixed in the latest update. All Firefox users are strongly encouraged to update as soon as possible. This can be done on the Plugin Check page.
誰に影響しますか?
All Firefox users who have the Java 7 plugin, update 6 and below.
これは何を意味しますか?

問題のあるアドオンやプラグインは無効にすることが奨励されますが、記載されたリスクを受け入れるのであれば、継続して利用することもできます。

アドオンやプラグイン、その他の第三者によるソフトウェアが、Firefox の安全性、安定性あるいはパフォーマンスに深刻な影響を与えることを Mozilla が認識し、それが特定の基準を満たした場合、そのソフトウェアは通常利用からブロックされます。詳しくは、このサポート記事をお読みください。

ブロックされたアドオン :: Add-ons for Firefox
https://addons.mozilla.org/ja/firefox/blocked/p134

■適当な訳

ブロックされたのは何故ですか?

Java 7 ランタイム環境でアップデートバージョン 6 かそれよりバージョンが下の場合、深刻なセキュリティ上の脆弱性があります。この脆弱性は最新のアップデートで修正されています。全ての firefxo ユーザーに可能な限り速くアップデートする事を強く推奨します。アップデートは mozilla.com Plugin Check からもできます。

■定期的に発生する Java のセキュリティ上の問題

この問題は2012年の記事ですが同様な感じでセキュリティ上問題があるjavaは多数にブロックされているので、アップデートせず放置している人は問題が出ている可能性があります。ちなみに firefox でなくてもアップデートした方がいい場合の方が多いのでブロックされてない人でも定期的にアップデートした方がいいと思います。

ブロックされてる例

参考

Oracle、Javaの定例アップデートを公開 「極めて深刻」な脆弱性を多数修正 – ITmedia ニュース
http://www.itmedia.co.jp/news/articles/1306/19/news037.html
  • Minecraft ologies

  • Recent posts

  • RSS Minecraft Update News

  • Categories

  • Where Am I?

    You are currently browsing entries tagged with Firefox at minecraft.

  • Tag